
Redmine - Feature #3395

add ability to filter on blank start and end, etc. date fields in Issues panel

2009-05-20 14:55 - Mark Pettigrew

Status: Closed Start date: 2009-05-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

add ability to filter on blank start and end date fields in Issues panel

Issues may be created without a start or end due date.  It would very useful to be able to search for these issues explicitly so that can

be updated with a start/end date easily.

Related issues:

Related to Redmine - Feature #3600: Allow blank / empty filter values for all... Closed 2009-07-09

Has duplicate Redmine - Defect #8507: Unable to filter by empty due date? Closed 2011-06-02

Is duplicate of Redmine - Feature #9607: Filter for issues without start date... Closed 2011-11-19

History

#1 - 2009-07-09 15:22 - Anthony Gerrard

Added issue #3600 as the more generic requirement of this one

#2 - 2010-03-09 20:32 - Josh Galvez

#3868 is also related

#3 - 2010-07-02 12:10 - Fri Flaj

It's a very easy fix, too. I put a plugin on github that will monkey-patch it in, but it would be easy to add to RM itself

Plugin @ http://github.com/friflaj/redmine_has_due_date/

#4 - 2010-07-02 12:20 - Holger Just

- File 3395_add_operators_to_date.diff added

This patch adds the two operators (all and none) to the date filter type. This is exactly the same as what Emiliano is doing in his plugin above.

#5 - 2011-05-06 18:05 - pasquale [:dedalus]

+1

#6 - 2011-06-03 09:02 - Etienne Massip

- Subject changed from add ability to filter on blank start and end date fields in Issues panel to add ability to filter on blank start and end, etc. date

fields in Issues panel

- Target version set to Candidate for next major release

#7 - 2011-09-28 22:31 - Gerry Hawkins

+1

It would tie in nicely with #6954 which also improves handling of dates

#8 - 2011-11-24 01:55 - Mischa The Evil

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate
Implemented in r7841, making this issue superseded by issue #9607 (reflected by a duplicates relation for want of anything better).

Files

3395_add_operators_to_date.diff 841 Bytes 2010-07-02 Holger Just
